edu.sc.seis.sod.status.waveformArm

## Class WaveformStationStatus

- java.lang.Object
- - edu.sc.seis.sod.status.AbstractVelocityStatus
  - - edu.sc.seis.sod.status.waveformArm.WaveformStationStatus

- All Implemented Interfaces:
    SodElement, NetworkMonitor, WaveformMonitor

      public class WaveformStationStatus
      extends AbstractVelocityStatus
      implements WaveformMonitor, NetworkMonitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaveformStationStatus(org.w3c.dom.Element config)`
    `WaveformStationStatus(java.lang.String fileDir, java.lang.String templateName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `change(edu.iris.Fissures.IfNetwork.Channel channel, Status s)`
    `void` | `change(edu.iris.Fissures.network.NetworkAttrImpl net, Status status)`
    `void` | `change(edu.iris.Fissures.IfNetwork.Site site, Status s)`
    `void` | `change(edu.iris.Fissures.IfNetwork.Station station, Status s)`
    `protected void` | `doUpdate(edu.iris.Fissures.network.StationImpl station)`
    `int` | `getNumDirDeep()` Method getNumDirDeep returns how many directories below the base status directory this template will write
    `void` | `setArmStatus(java.lang.String status)`
    `void` | `update(EventChannelPair ecp)`
    `void` | `update(EventNetworkPair ecp)`
    `void` | `update(EventStationPair ecp)`
    `void` | `update(EventVectorPair ecp)`

    - ### Methods inherited from class edu.sc.seis.sod.status.AbstractVelocityStatus

      `getNestedTextForElement, getTemplateName, loadTemplate, loadTemplate, scheduleOutput, scheduleOutput`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WaveformStationStatus

          public WaveformStationStatus(java.lang.String fileDir,
                                       java.lang.String templateName)
                                throws java.io.IOException,
                                       java.sql.SQLException

      Throws:
        `java.io.IOException`
        `java.sql.SQLException`

    - #### WaveformStationStatus

          public WaveformStationStatus(org.w3c.dom.Element config)
                                throws java.io.IOException,
                                       java.sql.SQLException

      Throws:
        `java.io.IOException`
        `java.sql.SQLException`

  - ### Method Detail

    - #### getNumDirDeep

          public int getNumDirDeep()

      Description copied from class: `AbstractVelocityStatus`
      Method getNumDirDeep returns how many directories below the base status directory this template will write
      Specified by:
        `getNumDirDeep` in class `AbstractVelocityStatus`

    - #### update

          public void update(EventNetworkPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### update

          public void update(EventStationPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### update

          public void update(EventChannelPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### update

          public void update(EventVectorPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### doUpdate

          protected void doUpdate(edu.iris.Fissures.network.StationImpl station)

    - #### setArmStatus

          public void setArmStatus(java.lang.String status)
                            throws java.lang.Exception

      Specified by:
        `setArmStatus` in interface `NetworkMonitor`
      Throws:
        `java.lang.Exception`

    - #### change

          public void change(edu.iris.Fissures.IfNetwork.Station station,
                             Status s)

      Specified by:
        `change` in interface `NetworkMonitor`

    - #### change

          public void change(edu.iris.Fissures.IfNetwork.Channel channel,
                             Status s)

      Specified by:
        `change` in interface `NetworkMonitor`

    - #### change

          public void change(edu.iris.Fissures.network.NetworkAttrImpl net,
                             Status status)

      Specified by:
        `change` in interface `NetworkMonitor`

    - #### change

          public void change(edu.iris.Fissures.IfNetwork.Site site,
                             Status s)

      Specified by:
        `change` in interface `NetworkMonitor`